Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154365 - Editing a filename while renaming is cancelled when nautilus asynchronously determines new file information
Summary: Editing a filename while renaming is cancelled when nautilus asynchronously d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 07:12 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: nautilus-2.20.0-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 01:53:00 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-11 07:12:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Nautilus asynchronously determines file information - for example, in "View as List" mode, a directory's child file count is calculated asynchronously. First, the main directory listing is displayed, then each sub-directory's child file count is calculated and updated back into the display at a later time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In nautilus, navigate to a directory with a lot of sub-directories. Ensure "View as List" is set for that directory.
2. Notice that the initial directory listing is displayed quickly, but without data in the "Size" column for sub-directories. Wait a short while, and nautilus will fill in this information with child file count directory by directory.
3. While the above filling in is still happening, select a file, and press F2 to rename it.
4. Notice that you can type text into the filename - the new filename.
  

Actual Results:  After the above, whilst still editing the filename, wait until nautilus adds data to the "Size" column for a new sub-directory. At this point, the "rename mode" will be cancelled, so that you can no longer edit the text without pressing F2 again.

Expected Results:  Rename mode should not be cancelled - updating directory "size" information is a "behind-the-scenes" program action that should not cancel the user-initiated rename operation.

Additional info:

Comment 1 Matthew Miller 2006-07-10 22:21:13 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Stephen Warren 2007-11-12 01:53:00 UTC
I can't really validate whether this has been fixed, but I'm closing it out
anyway, since in the cases where nautilus does calculate size information, it
does it so fast on my current system that you probably couldn't start a rename
before the size info was calculated anyway.



Note You need to log in before you can comment on or make changes to this bug.